Bug Hunting Session
Bug 38829 - Add fractional inches to units
Summary: Add fractional inches to units
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: high enhancement
Assignee: Omar Syed
URL:
Whiteboard: target:4.5.0
Keywords: difficultyBeginner, easyHack, skillCpp, topicUI
Depends on:
Blocks:
 
Reported: 2011-06-30 08:55 UTC by Björn Michaelsen
Modified: 2016-02-18 16:37 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
this a c++ program to convert entered number of inches into chosen units (850 bytes, application/octet-stream)
2014-03-20 15:02 UTC, mgmegag
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Michaelsen 2011-06-30 08:55:41 UTC
Add fractional inches to units

Background: Occasionally users want to use Draw for tasks that would perhaps actually require more specialized CAD software. In the US, one requirement that could be relatively easily handled is the ability to specify and display dimensions in fractional inches. Specifically this means fractions that are multiples of a power of 1/2, like 3 3/8". Most likely we specifically want the possibility to use fractional inches only, never fractional centimetres etc. Whether this enhancement is relevant for Draw only, and should not show up in the other applications, remains to be determined.

Skills: building, C++
Comment 1 Pranav 2012-03-21 01:20:05 UTC
Dibs ...I would like to take a shot at it. Pretty much a noob to open source development, might take some time on it. If someone thinks this wouldn't be the best place to start do let me know.
Comment 2 Florian Reisinger 2012-05-18 09:37:02 UTC
Deleted "Easyhack" from summary.
Comment 3 Björn Michaelsen 2013-10-04 18:46:50 UTC
adding LibreOffice developer list as CC to unresolved EasyHacks for better visibility.

see e.g. http://nabble.documentfoundation.org/minutes-of-ESC-call-td4076214.html for details
Comment 4 Björn Michaelsen 2014-01-17 00:43:51 UTC
(This is an automated message.)

LibreOffice development currently prioritizes bugs with the so called MAB (most annoying bugs) -- as this bug has not run through that process (including writing a short rationale for this bug being a candidate and other who are watching the tracker bug silently approving that rationale etc.) its priority is set to high. Note this is effectively no change in the urgency assigned to this bug, as we are currently not making a difference between high and highest and severity is untouched.

You can find out more about MABs and how the process works by contacting libreoffice qa on irc:

 http://webchat.freenode.net/?channels=libreoffice-qa

The QA wiki page also gives you hints on how to get in contact with the team (if IRC fails you, your next best choice is the mailing list):

 https://wiki.documentfoundation.org/QA
Comment 5 Tor Lillqvist 2014-01-17 07:20:14 UTC
Back in 2011 I would probably have agreed with Björn. But now, I don't think we should encourage people who try to use the wrong tool. LibreOffice is not and should not try to be a technical drawing application. (What next, people wanting to use LibreOffice instead of proper integrated circuit design software?) LibreOffice is bloated enough as is.

All this just my personal opinion, of course. If I am assigned a task (as a paid developer) that requires me to be of a different opinion, I can change it;)
Comment 6 Tor Lillqvist 2014-01-17 07:22:28 UTC
Abhishek, if you are not actively working on this bug, please don't assign it to yourself. And if you are working on this, please tell how you are proceeding?
Comment 7 Björn Michaelsen 2014-01-17 10:14:02 UTC
(Note: This was an easy hack moved from the original messy wikipage, I dont have anything to do with its contents, nor do the opinions in the description have to match my own. If this task needs mentoring, it would be very nice if the original author would show up ;) )
Comment 8 Tor Lillqvist 2014-01-17 10:15:37 UTC
Actually I think I might have been the original author, the idea sounds familiar to me;) But, I have changed my mind...
Comment 9 Kunal Arora 2014-02-13 04:29:30 UTC
Hey, i wanna work on this, but i am new here, so can anyone guide me in the right direction.
Comment 10 mgmegag 2014-03-20 15:02:33 UTC
Created attachment 96106 [details]
this a c++ program to convert entered number of inches into chosen units
Comment 11 Tomaz Vajngerl 2014-03-20 15:31:10 UTC
(In reply to comment #10)
> Created attachment 96106 [details]
> this a c++ program to convert entered number of inches into chosen units

Thanks, but we know how to convert from other units to inches (BTW, your conversion to cm is wrong, didn't check others) - however this is not the point of this bug.
Comment 12 Omar Syed 2014-11-11 00:57:05 UTC
Is this bug still being worked on? I want to try give it a shot. I'm new to LibreOffice development but I also have two other people that will be working with me on it.  If someone can help us out with some starting tips, that would be great. Thank you.
Comment 13 Omar Syed 2014-11-18 21:50:09 UTC
Hi everyone. My team and I believe we have figured out where to start to fix this bug.  We are targeting the dialog boxes within the "Position and Size" menu when you right-click on a a shape in Draw.  We are going to change those so that a user can type in a fraction or mixed number and it will convert that to inches.  The path of the file we are working on is /core/tree/cui/source/tabpages/transfrm.cxx.  Does anyone know if there are other files that need to be changed or have any tips on how to go about doing so?  Let me know.  Thanks
Comment 14 Commit Notification 2015-01-14 10:36:06 UTC
Foo Lai Choo committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a93db93c563c268786e834b816b03468e793f48a

Resoles: fdo#38829 Implemented fractional inches for Bug #38829.

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 15 Robinson Tryon (qubit) 2015-12-16 00:13:12 UTC
Migrating Whiteboard tags to Keywords: (EasyHack DifficultyBeginner SkillCpp TopicUi )
[NinjaEdit]
Comment 16 Robinson Tryon (qubit) 2016-02-18 16:37:16 UTC
Remove LibreOffice Dev List from CC on EasyHacks
(curtailing excessive email to list)
[NinjaEdit]